<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
        integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
    <!-- font awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css"
        integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <title>44.30</title>
</head>

<body>
    <div class="container-fluid col-lg-12">
        <!-- div header -->
        <div class="row">
            <div class="div-header col-lg-12 ">
                <div class="row col-lg-12">
                    <nav class="navbar navbar-expand-lg navbar-light d-flex justify-content-around  col-lg-12">
                        <a class="navbar-brand text-white" href="#">WHAT2EAT</a>
                        <button class="navbar-toggler" type="button" data-toggle="collapse"
                            data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            <ul class="navbar-nav">
                                <div class="navbar-nav header-menu">

                                    <a class="nav-item nav-link mx-3 text-white" href="#">Home</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">About</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Menu</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Blog</a>
                                    <a class="nav-item nav-link mx-3 text-white" href="#">Contact</a>
                                </div>
                                <div class="navbar-nav header-menu-icon">
                                    <i class="bi bi-search mx-3"></i>
                                    <i class="bi bi-cart2 mx-3" id="card-btn"></i>
                                </div>
                            </ul>
                        </div>
                    </nav>
                </div>
                <div class=" header-main row d-flex align-items-center min-vh-100 ">
                    <div class="header-content col-lg-6 ">
                        <div class="col-lg-10 mx-auto mt-5">
                            <h1 class="text-warning">Authentic Home food in UK</h1>
                            <p class="text-warning">What2Eat is a courier service in which authentic home cook food is
                                delivered to a customer.</p>
                            <form class="example">
                                <input type="text" placeholder="Search food you love" name="search">
                                <button type="button">Search</button>
                            </form>
                        </div>
                    </div>
                    <div class="col-lg-6  header-picture">
                        <img src="images/cooking.man.header.png" alt="">
                    </div>
                </div>
            </div>
        </div>
        <!--end div header -->
        <!-- top-kitchen-section -->
        <div class="row">
            <div class="col-lg-12">
                <div class="top-kitchen-menu">
                    <h5 class="mr-5 text-success" style="cursor: pointer;">Home</h5>
                    <span>
                        <h5>/</h5>
                    </span>
                    <h5 class="ml-5">Food</h5>
                </div>
                <div class="body-kitchen-menu jumbotron container">
                    <h2>Foods</h2>
                    <p>We are here to serve you, my lords!</p>
                    <hr class="custom-hr text-center">
                </div>
            </div>
        </div>
        <!--end top-kitchen-section -->

        <!-- div kitchen section -->
        <div class="row">
            <!-- div filter by price -->
            <div class="col-lg-3">
                <div class="jumbotron div-filter-by-price pt-3">
                    <header>
                        <h5>Prices</h5>
                        <h5 class="">Ranger: </h5>
                    </header>
                    <div class="price-range-input">
                        <div class="field">
                            <label for="price-min">$</label>
                            <input type="number" class="input-min form-control" id="price-min" value="0">
                        </div>
                        <div class="seperator ml-2 mr-2">-</div>
                        <div class="field">
                            <label for="price-max">$</label>
                            <input type="number" class="input-max form-control" id="price-max" value="25">
                        </div>
                    </div>
                    <div class="slider mt-3">
                        <div class="progress"></div>

                    </div>
                    <div class="range-input">
                        <input type="range" class="range-min" min="0" max="25" value="0" name="" id="range-min">
                        <input type="range" class="range-max" min="0" max="25" value="24.99" name="" id="range-max">
                    </div>
                </div>
                <div class="div-filter-by-rating jumbotron pt-3">
                    <header class="">
                        <h5>Rating</h5>
                    </header>
                    <div class="div-rating mt-3">
                        <div class="row">
                            <div class="col-lg-12 star-rating form-group">
                                <img src="images/5star.png" alt="">
                                <input type="checkbox" value="5">
                            </div>
                            <div class="col-lg-12 star-rating form-group">
                                <img src="images/4star.png" alt="">
                                <input type="checkbox" value="4">
                            </div>
                            <div class="col-lg-12 star-rating form-group">
                                <img src="images/3star.png" alt="">
                                <input type="checkbox" value="3">
                            </div>
                            <div class="col-lg-12 star-rating form-group">
                                <img src="images/2star.png" alt="">
                                <input type="checkbox" value="2">
                            </div>
                            <div class="col-lg-12 star-rating form-group">
                                <img src="images/1star.png" alt="">
                                <input type="checkbox" value="1">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--end div filter by price -->

            <div class="div-kitchen-section jumbotron col-lg-9 col-sm-9 d-flex justify-content-around flex-wrap">
                <div class="col-lg-12 list-pizza-card">
                    <ul class="list-group pizza-card">
                        <div class="product-info bg-white card mt-5" style="width: 18rem; border-radius: 10px;">
                            <img class="card-img-top" src="images/pizza1.png" alt="">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-9 col-sm-9 ">
                                        <h5>Home made pizza</h5>
                                    </div>
                                    <div class="col-lg-3 col-sm-3">
                                        <h5 class="p-pizza-price">$19</h5>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 mt-2">
                                        <div class="row ml-1 text-center">
                                            <div class="text-left">
                                                <p class="rating px-2"><i class="fa-solid fa-star"></i> 4.7</p>
                                            </div>
                                            <div class="ml-2">
                                                <p class="time px-2">50-79 mins</p>
                                            </div>
                                            <div class="text-right pl-5">
                                                <img class="mb-1" src="images/add-icon.png" alt="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </ul>


                </div>

            </div>

        </div>
    </div>

    <!--end div kitchen section -->

    <!-- div footer section -->
    <div class="row text-center ">
        <div class="div-header col-lg-12 ">
            <nav class="navbar navbar-expand-lg navbar-light d-flex justify-content-around  col-lg-12">
                <a class="navbar-brand text-white" href="#">WHAT2EAT</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav">
                        <div class="navbar-nav header-menu">

                            <a class="nav-item nav-link mx-3 text-white" href="#">Home</a>
                            <a class="nav-item nav-link mx-3 text-white" href="#">About</a>
                            <a class="nav-item nav-link mx-3 text-white" href="#">Menu</a>
                            <a class="nav-item nav-link mx-3 text-white" href="#">Blog</a>
                            <a class="nav-item nav-link mx-3 text-white" href="#">Contact</a>
                        </div>
                        <div class="navbar-nav header-menu-icon">
                            <i class="bi bi-search mx-3"></i>
                            <i class="bi bi-cart2 mx-3"></i>
                        </div>
                    </ul>
                </div>
            </nav>
            <hr class="bg-white" style="height: 1px;">
            <p class="text-white text-center">Copyright @2021 What2Eat</p>
        </div>
    </div>
    <!-- end div footer section -->
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    var gBASE_URL = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/";

    var gPizzaChosenArr = [];
    var gPizzaArr = [];
    const gPizzaChosen = localStorage.getItem('pizza-chosen');
    // Tổng số bản ghi của hệ thống
    var gTotalRecords = 9;

    // Tham số limit (Số lượng bản ghi tối đa trên 1 trang)
    var gPerpage = 9;

    // Tổng số trang. Math ceil để lấy số bản ghi tối đa có được. Ví dụ: 10 / 3 = 3.33 => Cần 4 trang hiển thị
    var gTotalPages = Math.ceil(gTotalRecords / gPerpage);
    //tham số cho bộ lọc:
    var gMinPrice = 0;
    var gMaxPrice = 0;
    var gRating = []
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        priceRangeSlider()
        makeCall(1)

        //gán sự kiện kéo nút range để lọc giá 
        $('.range-max').on('change', function () {
            makeCallFilter(1)

        });

        //gán sự kiện kéo nút range để lọc giá 
        $('#range-min').on('change', function (e) {
            makeCallFilter(1)
        });

        //gán sự kiện check nút chọn theo rating
        $('input[type=checkbox]').on('change', function (event) {
            handleCheckedRating(this, event)
            console.log(gRating);
            makeCallFilter(1)
        });
        //gán sự kiên ấn nút add pizza
        $(document).on("click", "#btn-add-pizza", function () {
            onBtnAddPizzaClick(this);
        });
        //sự kiện ấn nút cart
        $(document).on("click", "#card-btn", function () {
            window.location.href = "cart.html";
        })
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        //hàm ấn nút add pizza:
        function onBtnAddPizzaClick(paramAddBtn) {
            var vDataPizzaChosen = paramAddBtn.getAttribute('data-pizza');
            gPizzaChosenArr.push(vDataPizzaChosen);
            console.log(gPizzaChosenArr)
            localStorage.setItem("pizza-chosen", gPizzaChosenArr.join('-&-'));
            changeCardBtnColor()
        }


        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        //thanh trượt theo giá
        function priceRangeSlider() {
            const rangeInput = document.querySelectorAll(".range-input input");
            const priceInput = document.querySelectorAll(".price-range-input input");

            const progress = document.querySelector(".slider .progress");
            let priceGap = 3
            rangeInput.forEach(function (input) {
                input.addEventListener("input", function (e) {
                    var minVal = parseFloat(rangeInput[0].value);
                    var maxVal = parseFloat(rangeInput[1].value)
                    gMinPrice = minVal;
                    gMaxPrice = maxVal;

                    if (maxVal - minVal < priceGap) {
                        if (e.target.className === "range-min") {
                            rangeInput[0].value = maxVal - priceGap
                        } else {
                            rangeInput[1].value = minVal + priceGap

                        }

                    } else {
                        priceInput[0].value = minVal;
                        priceInput[1].value = maxVal;

                        progress.style.left = (minVal / rangeInput[0].max) * 100 + "%";
                        progress.style.right = 100 - (maxVal / rangeInput[1].max) * 100 + "%";
                    }
                })
            });

        }

        //hàm tạo phân trang:
        function createpagination(vPagenum) {
            // Xóa trắng phần tử cũ
            $("#page_container").html("");


            // Hiển thị 3 trang trong phạm vi
            for (var bi = 0; bi <= 1; bi++) {
                if (vPagenum == (vPagenum + bi)) {
                    $("#page_container").append("<li class='page-item'><a href='javascript:void(0)' class='page-link'>" + (vPagenum + bi) + "</a></li>");
                } else {
                    if ((vPagenum + bi) <= gTotalPages) {
                        $("#page_container").append("<li class='page-item' onclick='makeCall(" + (vPagenum + bi) + ")'><a href='javascript:void(0)' class='page-link'>" + (vPagenum + bi) + "</a></li>");
                        console.log(vPagenum)
                    }
                }
            }
        };
        //hàm lấy sản phẩm để phân trang
        function onGetOrdersPagination(vPagenum, gPerpage) {
            const vQueryParams = new URLSearchParams({
                "_limit": vPagenum * gPerpage,
                "_page": 0
            });

            $.ajax({
                type: 'get',
                url: 'https://food-ordering-fvo9.onrender.com/api/foods?' + vQueryParams.toString(),
                dataType: 'json',
                success: function (paramData) {
                    console.log(paramData);
                    $(".list-pizza-card").html("")
                    for (let bI = 0; bI < paramData.rows.length; bI++) {
                        $(".list-pizza-card").append(`
                    <div class="list-group pizza-card">
                        <div class="product-info bg-white card mt-5" style="width: 30rem; border-radius: 10px;">
                            <img class="card-img-top" src="${paramData.rows[bI].imageUrl}" alt="">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-9 col-sm-9 ">
                                        <h5>${paramData.rows[bI].name}</h5>
                                    </div>
                                    <div class="col-lg-3 col-sm-3 text-right">
                                        <h5 class="p-pizza-price">$${paramData.rows[bI].price}</h5>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 mt-2">
                                        <div class="row ml-1 text-center">
                                            <div class="text-left">
                                                <p class="rating px-2"><i class="fa-solid fa-star"></i>${paramData.rows[bI].rating}</p>
                                            </div>
                                            <div class="ml-2">
                                                <p class="time px-2">${paramData.rows[bI].time}</p>
                                            </div>
                                            <div class="text-right pl-5 div-btn-add-pizza">
                                                <img class="mb-1" src="images/add-icon.png" alt="" disable id="btn-add-pizza" style="width:30px;" data-pizza='${JSON.stringify(paramData.rows[bI])}'>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                        `)
                    }
                },
                error: function (paramError) {
                    console.log(paramError);
                }
            });
        }
        // API lấy danh sách Orders phân trang có bộ lọc
        function onGetOrdersPaginationWithFilter() {
            const vQueryParams = new URLSearchParams();

            vQueryParams.append('_limit', 9);
            vQueryParams.append('_page', 0);
            vQueryParams.append('priceMin', gMinPrice);
            vQueryParams.append('priceMax', gMaxPrice);
            vQueryParams.append('rating', gRating);
            // vQueryParams.append('rating', gRating);

            $.ajax({
                type: 'get',
                url: 'https://food-ordering-fvo9.onrender.com/api/foods?' + vQueryParams.toString(),
                dataType: 'json',
                success: function (paramData) {
                    console.log(paramData);
                    console.log(vQueryParams.toString())
                    if (paramData.rows.length != 0) {
                        $(".list-pizza-card").html("")
                        for (let bI = 0; bI < paramData.rows.length; bI++) {
                            $(".list-pizza-card").append(`
                    <div class="list-group pizza-card">
                        <div class="product-info bg-white card mt-5" style="width: 30rem; border-radius: 10px;">
                            <img class="card-img-top" src="${paramData.rows[bI].imageUrl}" alt="">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-lg-9 col-sm-9 ">
                                        <h5>${paramData.rows[bI].name}</h5>
                                    </div>
                                    <div class="col-lg-3 col-sm-3">
                                        <h5 class="p-pizza-price">$${paramData.rows[bI].price}</h5>
                                    </div>
                                    <div class="col-lg-12 col-sm-12 mt-2">
                                        <div class="row ml-1 text-center">
                                            <div class="text-left">
                                                <p class="rating px-2"><i class="fa-solid fa-star"></i>${paramData.rows[bI].rating}</p>
                                            </div>
                                            <div class="ml-2">
                                                <p class="time px-2">${paramData.rows[bI].time}</p>
                                            </div>
                                            <div class="text-right pl-5 div-btn-add-pizza">
                                                <img class="mb-1" src="images/add-icon.png" alt="" id="btn-add-pizza" style="width:30px;" data-pizza='${JSON.stringify(paramData.rows[bI])}'>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                        `)
                        }
                    } else {
                        alert("Không tìm thấy Pizza");
                        location.reload()
                    }

                },
                error: function (paramError) {
                    console.log(paramError);
                }
            });
        }

        //hàm thực thi các hàm gọi phân trang
        function makeCall(vPagenum) {
            createpagination(vPagenum);

            onGetOrdersPagination(vPagenum, gPerpage)
        };
        //hàm thực thi các hàm gọi phân trang co filter
        function makeCallFilter(vPagenum) {
            createpagination(vPagenum);

            onGetOrdersPaginationWithFilter()
        };
        //handle check rating
        function handleCheckedRating(paramCheckbox, paramEvent) {
            var vValue = parseInt($(paramCheckbox).val())
            if (paramEvent.currentTarget.checked) {
                console.log('test check');
                console.log(vValue);
                gRating.push(vValue)
            } else {
                console.log('Bỏ check');
                gRating.splice(gRating.indexOf(vValue), 1)
            }
        };
        //hàm đổi màu icon cart
        function changeCardBtnColor() {
            $("#card-btn").addClass("text-warning");
        }

    });
</script>

</html>